from django.contrib import admin

from ...widgets.layout.Section.admin import SectionAdmin
from ...widgets.nav.admin import NavigationItemInline
from .forms import AsideAddForm, AsideChangeForm
from .models import Aside


class AsideNavigationItemInline(NavigationItemInline):
    def get_queryset(self, request):
        qs = super().get_queryset(request)
        return qs.filter(section_type="aside")


@admin.register(Aside)
class AsideAdmin(SectionAdmin):
    add_form = AsideAddForm
    form = AsideChangeForm
    inlines = [AsideNavigationItemInline]
    model = Aside
    fieldsets = [
        (None, {"fields": ["section_instance", "section_version"]}),
    ]
