from rest_framework import serializers

from ...widgets.nav.serializers import NavigationItemSerializer
from .models import Aside


class AsideSerializer(serializers.ModelSerializer):
    navigation_items = serializers.SerializerMethodField()

    class Meta:
        model = Aside
        fields = "__all__"

    def get_navigation_items(self, obj):
        serializer = NavigationItemSerializer(obj.navigation_items.all(), many=True)
        # Filter out None values from the serialized data
        return [item for item in serializer.data if item is not None]
