from rest_framework.routers import DefaultRouter

from .About.views import AboutViewSet
from .Aside.views import AsideViewSet
from .Base.views import BaseViewSet
from .Contact.views import ContactViewSet
from .CTA.views import CTAViewSet
from .FooterBottombar.views import FooterBottombarViewSet
from .HeaderHero.views import HeaderHeroViewSet
from .Listdescriptions.views import ListdescriptionsViewSet

router = DefaultRouter()
router.register(r"about", AboutViewSet)
router.register(r"aside", AsideViewSet)
router.register(r"base", BaseViewSet, basename="base")
router.register(r"contact", ContactViewSet)
router.register(r"cta", CTAViewSet)
router.register(r"footerbottombar", FooterBottombarViewSet)
router.register(r"headerhero", HeaderHeroViewSet)
router.register(r"list_descriptions", ListdescriptionsViewSet)

urlpatterns = router.urls
