# Generated by Django 5.1.6 on 2025-02-13 19:19

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='About',
            fields=[
                ('section_instance', models.CharField(help_text='Select the instance', max_length=255, primary_key=True, serialize=False, unique=True)),
                ('section_version', models.CharField(blank=True, help_text='Choose the version (How the section will appear)', max_length=2)),
                ('title_version', models.CharField(blank=True, choices=[('V1', 'Version 1'), ('V2', 'Version 2'), ('V3', 'Version 3')], default='V1', max_length=2)),
                ('title_h2', models.CharField(blank=True, max_length=255)),
                ('title_h3', models.CharField(blank=True, max_length=255)),
                ('title_p', models.CharField(blank=True, max_length=500)),
                ('about_content', models.TextField(help_text="Main content for the About section. You can include your company's story, mission, and values")),
                ('about_image', models.ImageField(blank=True, help_text='Visual representation for the About section (high-quality image that represents your brand or team)', null=True, upload_to='about/')),
                ('about_video', models.URLField(blank=True, help_text='URL to a video about your company (YouTube or Vimeo links recommended)', null=True)),
                ('about_alt', models.CharField(blank=True, default='about section media', help_text='Descriptive text for accessibility when image/video cannot be displayed', max_length=255)),
            ],
            options={
                'verbose_name': '(Section) About',
                'verbose_name_plural': '(Sections) About',
            },
        ),
        migrations.CreateModel(
            name='Aside',
            fields=[
                ('section_instance', models.CharField(help_text='Select the instance', max_length=255, primary_key=True, serialize=False, unique=True)),
                ('section_version', models.CharField(blank=True, help_text='Choose the version (How the section will appear)', max_length=2)),
                ('title_version', models.CharField(blank=True, choices=[('V1', 'Version 1'), ('V2', 'Version 2'), ('V3', 'Version 3')], default='V1', max_length=2)),
                ('title_h2', models.CharField(blank=True, max_length=255)),
                ('title_h3', models.CharField(blank=True, max_length=255)),
                ('title_p', models.CharField(blank=True, max_length=500)),
            ],
            options={
                'verbose_name': '(Section) Aside',
                'verbose_name_plural': '(Sections) Aside',
            },
        ),
        migrations.CreateModel(
            name='Base',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('full_name', models.CharField(blank=True, help_text='The complete name of your application as it should appear in official contexts', max_length=255)),
                ('short_name', models.CharField(blank=True, help_text='A shorter version of your app name, suitable for headers and mobile displays', max_length=50)),
                ('motto_description', models.TextField(blank=True, help_text="A brief tagline or slogan that captures your app's mission or value proposition")),
                ('primary_color', models.CharField(choices=[('#e84545', 'red')], default='#e84545', help_text='Select the primary theme color for your application from the available options', max_length=7)),
                ('website_URL', models.URLField(blank=True, help_text='The primary website URL for your application (include https://)')),
                ('colored_logo_full_image', models.ImageField(blank=True, help_text='Full-color version of your main logo (500x500px recommended) for use on light backgrounds', null=True, upload_to='metadata/')),
                ('colored_logo_mini_image', models.ImageField(blank=True, help_text='Compact version of your colored logo (500x500px recommended) for mobile and small displays', null=True, upload_to='metadata/')),
                ('light_logo_full_image', models.ImageField(blank=True, help_text='Light-colored version of your main logo (500x500px recommended) for use on dark backgrounds', null=True, upload_to='metadata/')),
                ('light_logo_mini_image', models.ImageField(blank=True, help_text='Compact light-colored version of your logo (500x500px recommended) for mobile and small displays on dark backgrounds', null=True, upload_to='metadata/')),
                ('dark_logo_full_image', models.ImageField(blank=True, help_text='Dark-colored version of your main logo (500x500px recommended) for use on light backgrounds', null=True, upload_to='metadata/')),
                ('dark_logo_mini_image', models.ImageField(blank=True, help_text='Compact dark-colored version of your logo (500x500px recommended) for mobile and small displays on light backgrounds', null=True, upload_to='metadata/')),
                ('favicon_image', models.ImageField(blank=True, help_text='Browser tab icon (32x32px, .ico format recommended). This appears in browser tabs and bookmarks', null=True, upload_to='metadata/')),
                ('apple_image', models.ImageField(blank=True, help_text='iOS home screen icon (180x180px, .png format). This appears when users add your site to their home screen', null=True, upload_to='metadata/')),
                ('pwa_192_image', models.ImageField(blank=True, help_text='PWA icon (192x192px, .png format). Required for Progressive Web Apps', null=True, upload_to='metadata/')),
                ('pwa_512_image', models.ImageField(blank=True, help_text='PWA icon (512x512px, .png format). Required for Progressive Web Apps', null=True, upload_to='metadata/')),
                ('primary_phone', models.CharField(help_text='Main contact number including country code (e.g., +1 234 567 8900)', max_length=255)),
                ('secondary_phone', models.CharField(blank=True, help_text='(Optional) Enter the secondary phone number.', max_length=255)),
                ('primary_email', models.EmailField(help_text='Main contact email address for business inquiries', max_length=255)),
                ('secondary_email', models.EmailField(blank=True, help_text='(Optional) Enter the secondary email address.', max_length=255)),
                ('city_name', models.CharField(help_text='City where your business is located', max_length=255)),
                ('PO_box', models.CharField(blank=True, help_text='(Optional) Enter the P.O. Box.', max_length=255)),
                ('street_address', models.CharField(blank=True, help_text='(Optional) Enter the street address.', max_length=255)),
                ('social_media_links_version', models.CharField(choices=[('V1', 'Version 1'), ('V2', 'Version 2'), ('V3', 'Version 3')], default='V1', help_text='Select the version for the Social Media Links section.', max_length=2)),
                ('facebook_URL', models.URLField(blank=True, help_text='(Optional) Enter the Facebook URL.')),
                ('instagram_URL', models.URLField(blank=True, help_text='(Optional) Enter the Instagram URL.')),
                ('X_URL', models.URLField(blank=True, help_text='(Optional) Enter the X (formerly Twitter) URL.')),
                ('linkedin_URL', models.URLField(blank=True, help_text='(Optional) Enter the LinkedIn URL.')),
                ('spotify_URL', models.URLField(blank=True, help_text='(Optional) Enter the Spotify URL.')),
                ('og_image', models.ImageField(blank=True, help_text='Open Graph image (1200x630px recommended). This appears when sharing on social media', null=True, upload_to='metadata/')),
                ('X_image', models.ImageField(blank=True, help_text='Twitter Card image (1200x600px recommended). This appears when sharing on Twitter', null=True, upload_to='metadata/')),
            ],
            options={
                'verbose_name': '(App) Base',
                'verbose_name_plural': '(App) Base',
            },
        ),
        migrations.CreateModel(
            name='Contact',
            fields=[
                ('section_instance', models.CharField(help_text='Select the instance', max_length=255, primary_key=True, serialize=False, unique=True)),
                ('section_version', models.CharField(blank=True, help_text='Choose the version (How the section will appear)', max_length=2)),
                ('title_version', models.CharField(blank=True, choices=[('V1', 'Version 1'), ('V2', 'Version 2'), ('V3', 'Version 3')], default='V1', max_length=2)),
                ('title_h2', models.CharField(blank=True, max_length=255)),
                ('title_h3', models.CharField(blank=True, max_length=255)),
                ('title_p', models.CharField(blank=True, max_length=500)),
                ('map_URL', models.URLField(blank=True, help_text="Google Maps embed URL (obtain this from Google Maps by clicking 'Share' and selecting 'Embed a map')", max_length=500, null=True)),
                ('open_days', models.TextField(help_text="Business operating days (e.g., 'Monday to Friday' or 'Monday - Saturday')")),
                ('open_hours', models.TextField(help_text="Business operating hours in your local timezone (e.g., '9:00 AM - 6:00 PM EAT')")),
            ],
            options={
                'verbose_name': '(Section) Contact',
                'verbose_name_plural': '(Sections) Contact',
            },
        ),
        migrations.CreateModel(
            name='CTA',
            fields=[
                ('section_instance', models.CharField(help_text='Select the instance', max_length=255, primary_key=True, serialize=False, unique=True)),
                ('section_version', models.CharField(blank=True, help_text='Choose the version (How the section will appear)', max_length=2)),
                ('title_version', models.CharField(blank=True, choices=[('V1', 'Version 1'), ('V2', 'Version 2'), ('V3', 'Version 3')], default='V1', max_length=2)),
                ('title_h2', models.CharField(blank=True, max_length=255)),
                ('title_h3', models.CharField(blank=True, max_length=255)),
                ('title_p', models.CharField(blank=True, max_length=500)),
                ('cta_heading', models.TextField(help_text='Compelling headline for your call-to-action section. HTML tags allowed for emphasis (e.g., em)')),
                ('cta_paragraph', models.TextField(help_text='Persuasive text explaining the value proposition or why users should take action')),
                ('cta_button_text', models.CharField(help_text="Action-oriented button text that encourages clicks (e.g., 'Get Started', 'Learn More')", max_length=250)),
                ('cta_button_href', models.CharField(help_text="Destination URL for the button. Use absolute URLs for external links or '/' prefix for internal pages", max_length=500)),
                ('cta_button_icon', models.CharField(blank=True, help_text="Bootstrap icon class to add visual emphasis to the button (e.g., 'bi bi-arrow-right'). Find icons at icons.getbootstrap.com", max_length=250)),
                ('cta_image', models.ImageField(blank=True, help_text='(Optional) Upload an image for the CTA section.', null=True, upload_to='cta/')),
            ],
            options={
                'verbose_name': '(Section) Call To Action',
                'verbose_name_plural': '(Sections) Call To Action',
            },
        ),
        migrations.CreateModel(
            name='FooterBottombar',
            fields=[
                ('section_instance', models.CharField(help_text='Select the instance', max_length=255, primary_key=True, serialize=False, unique=True)),
                ('section_version', models.CharField(blank=True, help_text='Choose the version (How the section will appear)', max_length=2)),
                ('title_version', models.CharField(blank=True, choices=[('V1', 'Version 1'), ('V2', 'Version 2'), ('V3', 'Version 3')], default='V1', max_length=2)),
                ('title_h2', models.CharField(blank=True, max_length=255)),
                ('title_h3', models.CharField(blank=True, max_length=255)),
                ('title_p', models.CharField(blank=True, max_length=500)),
            ],
            options={
                'verbose_name': '(Section) Footer & Bottombar',
                'verbose_name_plural': '(Sections) Footer & Bottombar',
            },
        ),
        migrations.CreateModel(
            name='HeaderHero',
            fields=[
                ('section_instance', models.CharField(help_text='Select the instance', max_length=255, primary_key=True, serialize=False, unique=True)),
                ('section_version', models.CharField(blank=True, help_text='Choose the version (How the section will appear)', max_length=2)),
                ('title_version', models.CharField(blank=True, choices=[('V1', 'Version 1'), ('V2', 'Version 2'), ('V3', 'Version 3')], default='V1', max_length=2)),
                ('title_h2', models.CharField(blank=True, max_length=255)),
                ('title_h3', models.CharField(blank=True, max_length=255)),
                ('title_p', models.CharField(blank=True, max_length=500)),
                ('header_background', models.CharField(choices=[('body', 'Body'), ('dark', 'Dark')], default='body', max_length=5)),
                ('logo_version', models.CharField(choices=[('logo_image', 'Version 1 - Logo Image'), ('app_full_name', 'Version 2 - Application Full Name'), ('app_short_name', 'Version 3 - Application Short Name')], default='logo_image', help_text="Select the header logo type. Note that logo images and app names must be configured in 'App Metadata' settings.", max_length=14)),
                ('theme_toggler', models.BooleanField(default=True, verbose_name='include Theme Toggler Button')),
                ('hero_heading', models.TextField(blank=True, help_text='Main headline text that captures attention and communicates your primary message')),
                ('hero_sub_heading', models.TextField(blank=True, help_text='Supporting text that provides additional context to your main headline')),
                ('hero_paragraph', models.TextField(blank=True, help_text='Detailed description or call-to-action text that expands on your headline message')),
                ('hero_image', models.ImageField(blank=True, help_text='(Optional) Upload an image for the hero section.', null=True, upload_to='headerhero/')),
                ('hero_button_text', models.CharField(blank=True, help_text="Text to display on the hero section's call-to-action button (keep it short and actionable)", max_length=50)),
                ('hero_button_href', models.CharField(blank=True, help_text="URL or path where the hero button should link to (use relative paths starting with '/' for internal links)", max_length=100)),
            ],
            options={
                'verbose_name': '(Section) Header & Hero',
                'verbose_name_plural': '(Sections) Header & Hero',
            },
        ),
        migrations.CreateModel(
            name='ListDescriptions',
            fields=[
                ('section_instance', models.CharField(help_text='Select the instance', max_length=255, primary_key=True, serialize=False, unique=True)),
                ('section_version', models.CharField(blank=True, help_text='Choose the version (How the section will appear)', max_length=2)),
                ('title_version', models.CharField(blank=True, choices=[('V1', 'Version 1'), ('V2', 'Version 2'), ('V3', 'Version 3')], default='V1', max_length=2)),
                ('title_h2', models.CharField(blank=True, max_length=255)),
                ('title_h3', models.CharField(blank=True, max_length=255)),
                ('title_p', models.CharField(blank=True, max_length=500)),
            ],
            options={
                'verbose_name': '(Section) List Descriptions',
                'verbose_name_plural': '(Sections) List Descriptions',
            },
        ),
        migrations.CreateModel(
            name='ItemDescription',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('image', models.ImageField(blank=True, null=True, upload_to='item_descriptions/')),
                ('icon', models.CharField(blank=True, max_length=255)),
                ('title', models.CharField(blank=True, max_length=255)),
                ('description', models.TextField(blank=True)),
                ('list_descriptions', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='items', to='base.listdescriptions')),
            ],
        ),
        migrations.CreateModel(
            name='NavigationItem',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('order', models.FloatField(default=0, help_text='Order of appearance in navigation')),
                ('section_type', models.CharField(choices=[('header', 'Header Section'), ('footer', 'Footer Section'), ('aside', 'Aside Section')], help_text='Section type this navigation item belongs to', max_length=20)),
                ('text', models.CharField(blank=True, help_text='Display text for the navigation item. Must be empty if login and logout texts are provided.', max_length=255)),
                ('login_text', models.CharField(blank=True, help_text='Display text for the Login Link. Both login and logout texts must be provided if one is present.', max_length=255)),
                ('logout_text', models.CharField(blank=True, help_text='Display text for the Logout Link. Both login and logout texts must be provided if one is present.', max_length=255)),
                ('icon', models.CharField(blank=True, help_text="Bootstrap icon class (e.g., 'bi bi-house')", max_length=255)),
                ('href', models.CharField(help_text='URL or anchor link for navigation', max_length=255)),
                ('type', models.CharField(choices=[('normal', 'Normal Link'), ('heading', 'Heading'), ('dropdown', 'Dropdown'), ('nested', 'Nested'), ('login/logout', 'Login/Logout Button')], help_text='Special type of navigation item', max_length=50)),
                ('authorized', models.JSONField(blank=True, help_text="List of roles that can see this item (e.g., ['STAFF', 'USER'])", null=True)),
                ('aside_section', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='navigation_items', to='base.aside')),
                ('footer_section', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='navigation_items', to='base.footerbottombar')),
                ('header_section', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='navigation_items', to='base.headerhero')),
                ('parent', models.ForeignKey(blank=True, help_text='Parent item for dropdown menus', null=True, on_delete=django.db.models.deletion.CASCADE, related_name='children', to='base.navigationitem')),
            ],
            options={
                'ordering': ['order'],
            },
        ),
    ]
