from rest_framework import serializers

from .forms import MailUsForm


class MailUsFormSerializer(serializers.Serializer):
    name = serializers.CharField(max_length=100)
    email = serializers.EmailField()
    subject = serializers.CharField()
    message = serializers.CharField()

    def validate(self, data):
        form = MailUsForm(data)
        if not form.is_valid():
            raise serializers.ValidationError(form.errors)
        return data
